%define	srcname	OpenSceneGraph
%define major	130
%define libname	%mklibname %{name} %{major}
%define devname %mklibname %{name} -d

%define otname		openthreads
%define otsrcname	OpenThreads
%define otmajor		20
%define otlibname	%mklibname %{otname} %{otmajor}
%define otdevname	%mklibname %{otname} -d

Summary:	A C++ scene graph API on OpenGL for real time graphics
Name:		openscenegraph
Version:	3.4.0
Release:	%mkrel 2
License:	LGPLv2+ with exceptions
Group:		Graphics
Source:		http://trac.openscenegraph.org/downloads/developer_releases/%{srcname}-%{version}.tar.xz
Patch0:     openscenegraph-ffmpeg3.patch
URL:		http://www.openscenegraph.org/
Provides:	%{srcname} = %{version}-%{release}
Obsoletes:	OpenSceneGraph < 3.2.0-3
Obsoletes:	OpenSceneGraph-examples < 3.2.0-3
Obsoletes:	OpenSceneGraph-plugins < 3.2.0-3

BuildRequires:	cmake
BuildRequires:	curl-devel
BuildRequires:	freetype2-devel
BuildRequires:	gcc-c++
BuildRequires:	%{_lib}gif-devel
BuildRequires:	gtkglext-devel
BuildRequires:	%{_lib}gstreamer-plugins-base1.0-devel
BuildRequires:	%{_lib}jpeg-devel
BuildRequires:	%{_lib}jasper-devel
BuildRequires:	%{_lib}png-devel
BuildRequires:	%{_lib}poppler-glib-devel
BuildRequires:	%{_lib}rsvg2-devel
BuildRequires:	%{_lib}tiff-devel
BuildRequires:	%{_lib}xine1.2-devel
BuildRequires:	%{_lib}rsvg2-devel
BuildRequires:	%{_lib}qt5widgets-devel
BuildRequires:	%{_lib}qt5webkitwidgets-devel
BuildRequires:	%{_lib}SDL-devel
BuildRequires:	%{_lib}lua5.2-devel
BuildRequires:	unzip
BuildRequires:	desktop-file-utils
BuildRequires:	zlib1-devel


%description
The OpenSceneGraph is an OpenSource, cross platform graphics
toolkit for the development of high performance graphics
applications such as flight simulators, games, virtual reality
and scientific visualization. Based around the concept of a
SceneGraph, it provides an object oriented framework on top of
OpenGL freeing the developer from implementing and optimizing
low level graphics calls, and provides many additional
utilities for rapid development of graphics applications.

%files
%defattr(-,root,root)
%doc AUTHORS.txt ChangeLog LICENSE.txt NEWS.txt README.txt
%doc doc/*
%{_bindir}/osg*
%{_bindir}/present3D

#------------------------------------------------------------------

%package -n %{libname}
Summary:	Shared libraries for OpenSceneGraph
Group:		System/Libraries
Provides:	%{libname} = %{version}-%{release}
Obsoletes:	%{_lib}OpenSceneGraph < 3.2.0-3

%description -n %{libname}
The OpenSceneGraph is an OpenSource, cross platform graphics
toolkit for the development of high performance graphics
applications such as flight simulators, games, virtual reality
and scientific visualization. Based around the concept of a
SceneGraph, it provides an object oriented framework on top of
OpenGL freeing the developer from implementing and optimizing
low level graphics calls, and provides many additional
utilities for rapid development of graphics applications.

This package contains the shared libraries for OpenSceneGraph.

%files -n	%{libname}
%defattr(-,root,root)
%{_libdir}/libosg*.so.%{major}
%{_libdir}/libosg*.so.%{version}
%{_libdir}/osgPlugins-%{version}/


#------------------------------------------------------------------

%package -n %{devname}
Summary:	OpenSceneGraph development files
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{srcname}-devel = %{version}-%{release}
Obsoletes:	%{_lib}OpenSceneGraph-devel < 3.2.0-3
Requires:	%{libname} >= %{version}-%{release}
Requires:	%{otdevname} >= %{version}-%{release}

%description -n %{devname}
The OpenSceneGraph is an OpenSource, cross platform graphics
toolkit for the development of high performance graphics
applications such as flight simulators, games, virtual reality
and scientific visualization. Based around the concept of a
SceneGraph, it provides an object oriented framework on top of
OpenGL freeing the developer from implementing and optimizing
low level graphics calls, and provides many additional
utilities for rapid development of graphics applications.

This package contains the header and development files for
OpenSceneGraph.

%files -n	%{devname}
%defattr(-,root,root)
%{_includedir}/osg*/
%{_libdir}/libosg*.so
%{_libdir}/pkgconfig/%{name}*.pc


#------------------------------------------------------------------

%package -n	%{otlibname}
Summary:	A lightweight C++ thread API
Group:		System/Libraries
Obsoletes:	%{_lib}OpenThreads < 3.2.0-3
Provides:       %{otlibname} >= %{version}-%{release}

%description -n	%{otlibname}
This library is intended to provide a minimal & complete Object-Oriented
thread interface for C++ programmers.  It is loosely modeled on the Java
thread API, and the POSIX Threads standards.

%{otsrcname} is part of the %{srcname} project.

%files -n	%{otlibname}
%defattr(-,root,root)
%{_libdir}/lib%{otsrcname}.so.%{otmajor}
%{_libdir}/lib%{otsrcname}.so.3.3.0

#------------------------------------------------------------------

%package -n	%{otdevname}
Summary:	Development package for %{otsrcname}
Group:		Development/Libraries
Provides:	%{otname}-devel = %{version}-%{release}
Provides:	%{otsrcname}-devel = %{version}-%{release}
Requires:	%{otlibname} >= %{version}-%{release}
Obsoletes:	%{_lib}OpenThreads-devel < 3.2.0-3
Provides:       %{otdevname} >= %{version}-%{release}

%description -n	%{otdevname}
This package contains development files for %{otsrcname}.

%files -n	%{otdevname}
%defattr(-,root,root)
%{_includedir}/%{otsrcname}/
%{_libdir}/lib%{otsrcname}.so
%{_libdir}/pkgconfig/%{otname}.pc

#------------------------------------------------------------------

%prep
%setup -qn %{srcname}-%{version}
%patch0 -p2

%build
%cmake \
	-DCMAKE_RELWITHDEBINFO_POSTFIX='' \
	-DDESIRED_QT_VERSION=5
%make

%install
%makeinstall_std -C build


%changelog
* Sat Jun 24 2017 adrianomorselli <adrianomorselli> 3.4.0-2uplos2017
- rebuild new ffmpeg 3.3.2
- rebuild for libxine1.2
- add ffmpeg3 patch from arch
